Subject: Re: [PATCH 0/5] SUNRPC: make caches network namespace aware

From: Stanislav Kinsbursky <[email-masked]>
Date: Thu, 19 Jan 2012 20:01:33 +0400

19.01.2012 19:47, [email-masked] пишет:
> On Thu, Jan 19, 2012 at 07:31:56PM +0400, Stanislav Kinsbursky wrote:
>> 19.01.2012 19:19, Trond Myklebust пишет:
>>> On Thu, 2012-01-19 at 18:48 +0400, Stanislav Kinsbursky wrote:
>>>> One more step towards to "NFS in container".
>>>> With this patch set caches are allocated per network namespace.
>>>>
>>>> The following series consists of:
>>>>
>>>> ---
>>>>
>>>> Stanislav Kinsbursky (5):
>>>>        SUNRPC: cache creation and destruction routines introduced
>>>>        SUNRPC: create unix gid cache per network namespace
>>>>        SUNRPC: create GSS auth cache per network namespace
>>>>        SUNRPC: ip map cache per network namespace cleanup
>>>>        SUNRPC: generic cache register routines removed
>>>
>>> The patches look good, and I've applied them for now in my 'devel'
>>> branch so we can test them, but I'd like to get an Ack/Nack from Bruce
>>> before committing to merging them.
>>>
>>
>> Cool, thanks.
>> BTW, these patches depends on patch "NFSd: use
>> network-namespace-aware cache registering routines", which Bruce
>> took already (and it's even in linux-next already), but not in your
>> devel tree for some reason.
>
> And Linus has pulled those, so if Trond bases his tree on -rc1, he'll
> have "NFSd: use network-namespace-aware cache registering routines".
>
> You know best what you're planning to submit over the next cycle, and
> what the dependencies are, and which side (client or server) it's likely
> to touch more.  So, your choice, I think.  If necessary Trond and I can
> probably do a merge between us at some point.
>

Actually, I'm not going to patch NFSd in this cycle. Some more NFS and Lockd 
patches will follow soon.
So, probably, Trond's tree suits better.

-- 
Best regards,
Stanislav Kinsbursky